jobrien44
Posts: 3
Joined: Sat Dec 28, 2013 8:13 pm

Help: unmet dependencies: Blueman

Sat Dec 28, 2013 8:39 pm

Evening all,

Any help is appreciated, I'm completely new to the world of pi and dealing with install type issues.
My pi has a copy of "2013-12-20-wheezy-raspbian.img" installed as per this sites downloads section.

I have a wifi\bluetooth combo dongle, (BT-Micro3H2X) the wifi works fine but i'm having issues installing bluetooth GUI.
So far i have installed bluez and bluez-tools, If i run the '/etc/init.d/bluetooth Status' I get a 'Bluetooth is running' message.

My problem is when trying to install the bluetooth gui using the following ;
apt-get install bluetooth bluez-utils blueman

I get the following message:

The following packages have unmet dependencies:
blueman : Depends: obex-data-server (>= 0.4.3) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Can anybody tell me (in simple terms) how to address this issue and install the Bluetooth GUI?

Thanks in advance
J.

rconry
Posts: 4
Joined: Mon Jan 06, 2014 7:29 pm

Re: Help: unmet dependencies: Blueman

Mon Jan 06, 2014 7:31 pm

I am also having this issue...
Any help would be much appreciated :D

User avatar
Jednorozec
Posts: 809
Joined: Sun Nov 24, 2013 2:17 pm
Location: Deposit, NY

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 9:22 am

You have to fix the broken packages. Try

Code: Select all

sudo dpkg --configure -a
.
If that doesn't work you can try

Code: Select all

sudo apt-get install -f
.
Good luck.
The most important leg of a three legged stool is the one that's missing.
It's called thinking. Why don't you try it sometime?

BoskoStones
Posts: 3
Joined: Tue Jan 07, 2014 10:38 am

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 10:44 am

I am having the same problem.
You have to fix the broken packages. Try
CODE: SELECT ALL
sudo dpkg --configure -a
.
If that doesn't work you can try
CODE: SELECT ALL
sudo apt-get install -f
.
Good luck.
Did not seem to help.

BoskoStones
Posts: 3
Joined: Tue Jan 07, 2014 10:38 am

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 10:45 am

I am having the same problem.
You have to fix the broken packages. Try
CODE: SELECT ALL
sudo dpkg --configure -a
.
If that doesn't work you can try
CODE: SELECT ALL
sudo apt-get install -f
.
Good luck.
Did not seem to help.

rconry
Posts: 4
Joined: Mon Jan 06, 2014 7:29 pm

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 2:29 pm

When entering:

Code: Select all

sudo dpkg --configure -a
I am not returned any response, the terminal just waits for another command.

When entering:

Code: Select all

sudo apt-get install -f
It returns:

Code: Select all

Reading package list...Done
Building dependency trees
Reading state information...Done
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded
Is there a command to remove the broken package (whatever is containing the obex-data-server) and then checking for updates again?

rconry
Posts: 4
Joined: Mon Jan 06, 2014 7:29 pm

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 3:35 pm

It seems I have found a solution!

using:

Code: Select all

sudo aptitude install bluez-utils blueman
worked for me.

It will ask you if you wish to remove obexd-server and leave dependencies unresolved. I said yes and Bluetooth manager was successfully installed. Hope this helps

BoskoStones
Posts: 3
Joined: Tue Jan 07, 2014 10:38 am

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 4:34 pm

Code: Select all

sudo apt-get install obex-data-server
worked for me.

jobrien44
Posts: 3
Joined: Sat Dec 28, 2013 8:13 pm

Re: Help: unmet dependencies: Blueman

Tue Jan 07, 2014 11:23 pm

Evening all,
Thanks for your responses, i tried the 'sudo aptitude install bluez-utils blueman' command and this has now installed the bluetooth gui, i have been able to pair my BT mouse and will sort out the keyboard tomorrow.

Many many thanks for your help on this, it's much appreciated.

Jason

jobrien44
Posts: 3
Joined: Sat Dec 28, 2013 8:13 pm

Re: Help: unmet dependencies: Blueman

Thu Jan 09, 2014 9:13 pm

Just to get back to you and confirm the BT keyboard is now working.
Bit of a pig to pair up but working in the end.

Thanks you to everyone who helped me out here.

Jason.

Slapshot135
Posts: 34
Joined: Thu Mar 12, 2015 9:05 pm

Re: Help: unmet dependencies: Blueman

Sat Jun 20, 2015 3:40 pm

I have the Icon now and if I do hcitool scan, my device comes up, but i can't make the pi discoverable on the device

Return to “Off topic discussion”